Subject: Stty in Rxvt (rows and columns)
From: [email-masked] (Tijs Michels)

26 Aug 1998 17:31:35 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

(I'm NO longer on the list, so please reply
to my own address.)

Hi,

Rxvt started like this

  rxvt -g 96x48

yields a console of 96 columns by 48 rows,
as expected.

However, "stty size" still reports

  25 80

and "stty -a" reports

  speed 38400 baud; rows 25; columns 80; line = 0;
  intr = ^C; quit = ^\; erase = ^H; kill = ^U;
  eof = ^D; eol = M-^?; eol2 = M-^?; start = ^Q;
  stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
  lnext = ^V; flush = ^O; min = 1; time = 0;
  -parenb -parodd cs8 -hupcl -cstopb cread -clocal
  -crtscts-ignbrk brkint ignpar -parmrk -inpck
  -istrip -inlcr -igncr icrnl ixon -ixoff-iuclc
  -ixany imaxbel opost -olcuc -ocrnl onlcr -onocr
  -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
  isig icanon iexten echo echoe echok -echonl
  -noflsh -tostop echoctl echoke

And sure enough the Midnight Commander appears in
its familiar 80x25 size.

When I enter "stty rows 96" or "stty lines 48"
I get

  stty: standard input

What does this mean??

I tried adding

  lines#48, rows#96,

to my Rxvt terminfo database, but that didn't help
either. (No, I did not forget to enter "tic rxvt.ti".)

Is it necessary to add

  lines#.., rows#..

to rxvt.ti in order get a working non-standard
dimension?? (Probably not. Other changes I made to
rxvt.ti were effective upon recompiling, causing
the desired result, so there is noghting wrong
with the terminfo mechanism.)

How can I get Rxvt to actually report the correct
size to applications like MC??

I'm NOT on the list, so please reply to my own address.

Thanks!

Best wishes,

Tijs Michels
[email-masked]

Ps. MC builds and works fine on Cygwin32.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".